lint-wg-access-server:
  stage: lint
  rules:
    - changes:
        - wg-access-server/**/*
  script:
    - helm lint wg-access-server

release-wg-access-server:
  stage: release
  needs:
    - lint-wg-access-server
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      changes:
        - wg-access-server/**/*
  script:
    - apk add --no-cache git
    - helm plugin install https://github.com/chartmuseum/helm-push.git
    - helm repo add --username gitlab-ci-token --password $CI_JOB_TOKEN repo ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/stable
    - helm cm-push wg-access-server repo
